> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get shopping lists of a user

> Shoppers may want to periodically review their shopping lists and ensure they are up to date. <p> This endpoint gets a paginated response of shopping lists by user ID. For each list, you can view user ID, list ID, list name, type, notes, custom attributes (if any), as well as time of list creation and update.</p> <p> **Note**: <br/> 1. You can refine the results by specifying `offset` and `limit`. When they are not specified, you will get up to 10 records. <br/> 2. To view items in a list, refer to *Get lists with items* endpoint - `GET /lists/users/{userId}/actions/get-list-details-with-items`.</p>



## OpenAPI

````yaml lists.openapi get /lists/users/{userId}
openapi: 3.0.1
info:
  contact:
    email: support@fabric.inc
    name: fabric Support team
  description: >-
    fabric **Lists** API is a multi-tenant service that allows your shoppers to
    manage their shopping lists for future purchases. Shoppers can create lists,
    add items to lists, update lists and list items, as well as delete unwanted
    lists and items. Shopping lists are a popular e-commerce feature allowing
    shoppers to save desired products for future purchase. It not only helps to
    minimize shopping cart abandonment but also provides valuable insights into
    product popularity. In addition, shoppers who maintain shopping lists can be
    engaged in targeted marketing campaigns, enhancing customer engagement and
    satisfaction.
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
  termsOfService: https://fabric.inc/terms-of-use
  title: Orders - Lists API
  version: 3.0.0
  x-audience: external-public
servers:
  - description: Production
    url: https://api.fabric.inc/v3
security:
  - authorization: []
tags:
  - description: >-
      fabric **Lists** API is a multi-tenant service that allows your shoppers
      to manage their shopping lists for future purchases. Shoppers can create
      lists, add items to lists, update lists and list items, as well as delete
      unwanted lists and items. Shopping lists are a popular e-commerce feature
      allowing shoppers to save desired products for future purchase. It not
      only helps to minimize shopping cart abandonment but also provides
      valuable insights into product popularity. In addition, shoppers who
      maintain shopping lists can be engaged in targeted marketing campaigns,
      enhancing customer engagement and satisfaction.
    name: Shopping Lists
  - description: >-
      These endpoints let your shoppers create and manage items in shopping
      lists.
    name: Shopping List Items
externalDocs:
  description: Find out more about fabric Orders (also called OMS)
  url: https://developer.fabric.inc/v3/docs/orders-overview
paths:
  /lists/users/{userId}:
    get:
      tags:
        - Shopping Lists
      summary: Get shopping lists of a user
      description: >-
        Shoppers may want to periodically review their shopping lists and ensure
        they are up to date. <p> This endpoint gets a paginated response of
        shopping lists by user ID. For each list, you can view user ID, list ID,
        list name, type, notes, custom attributes (if any), as well as time of
        list creation and update.</p> <p> **Note**: <br/> 1. You can refine the
        results by specifying `offset` and `limit`. When they are not specified,
        you will get up to 10 records. <br/> 2. To view items in a list, refer
        to *Get lists with items* endpoint - `GET
        /lists/users/{userId}/actions/get-list-details-with-items`.</p>
      operationId: getListsByUserId
      parameters:
        - description: Unique identifier of logged-in user, from Identity service
          example: user1
          in: path
          name: userId
          required: true
          schema:
            example: user1
            type: string
        - description: >-
            Number of records to skip before returning records. For example,
            `offset=20, limit=10` returns records 21-30.
          example: 0
          in: query
          name: offset
          schema:
            default: 0
            example: 0
            format: int32
            type: integer
        - description: Maximum number of records per page
          example: 10
          in: query
          name: limit
          schema:
            default: 10
            example: 10
            format: int32
            maximum: 100
            minimum: 1
            type: integer
        - $ref: '#/components/parameters/xFabricTenantId'
        - $ref: '#/components/parameters/xFabricChannelId'
        - $ref: '#/components/parameters/xFabricRequestId'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/listsResponse'
          description: OK
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '400':
          content:
            application/json:
              example:
                errors:
                  - message: Invalid request
                    type: CLIENT_ERROR
                message: Bad request
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Bad request
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '401':
          content:
            application/json:
              example:
                message: Unauthorized request
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Unauthorized
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '404':
          content:
            application/json:
              example:
                message: Object not found
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Not found
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '500':
          content:
            application/json:
              example:
                message: Internal server error
                type: SERVER_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Internal server error
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
      deprecated: true
components:
  parameters:
    xFabricTenantId:
      description: >-
        A header used by fabric to identify the tenant making the request. You
        must include tenant id in the authentication header for an API request
        to access any of fabric’s endpoints. You can retrieve the tenant id ,
        which is also called account id, from
        [Copilot](/v3/platform/settings/account-details/getting-the-account-id).
        This header is required.
      example: 5f328bf0b5f328bf0b5f328b
      in: header
      name: x-fabric-tenant-id
      required: true
      schema:
        type: string
    xFabricChannelId:
      description: >-
        x-fabric-channel-id identifies the sales channel where the API request
        is being made; primarily for multichannel use cases. The channel ids are
        12 corresponding to US and 13 corresponding to Canada. The default
        channel id is 12. This field is required.
      example: '12'
      in: header
      name: x-fabric-channel-id
      required: true
      schema:
        type: string
    xFabricRequestId:
      description: Unique request ID
      example: 263e731c-45c8-11ed-b878-0242ac120002
      in: header
      name: x-fabric-request-id
      required: false
      schema:
        type: string
  schemas:
    listsResponse:
      description: List details and pagination specifications
      properties:
        data:
          description: Details of shopping list
          items:
            $ref: '#/components/schemas/listResponse'
          type: array
        pagination:
          $ref: '#/components/schemas/pagination'
      type: object
    errorResponse:
      description: Error response
      properties:
        errors:
          description: Errors
          items:
            $ref: '#/components/schemas/errorResponse'
          type: array
        message:
          description: Error message
          example: Bad request
          type: string
        type:
          description: Error type
          example: CLIENT_ERROR
          type: string
      type: object
    listResponse:
      description: Shopping list details
      properties:
        attributes:
          description: >-
            User defined custom attributes. This is a placeholder for addition
            info (in key: value pairs)
          example:
            key: value
          type: object
        createdAt:
          description: Time of shopping list creation (UTC)
          example: '2022-11-22T10:26:38Z'
          format: date-time
          type: string
        itemCount:
          description: Number of items in a list
          example: 1
          format: int32
          minimum: 0
          type: integer
        listId:
          description: 24-character system-generated list ID
          example: 62fa3796841ea417fa71d2a9
          type: string
        listType:
          description: List type
          example: type1
          type: string
        name:
          description: Shopping list name
          example: list1
          type: string
        notes:
          description: Additional info, if any
          example: note11
          type: string
        updatedAt:
          description: Time of last update to shopping list (UTC)
          example: '2022-11-22T10:26:38Z'
          format: date-time
          type: string
        userId:
          description: >-
            Unique identifier of a logged-in user, from Identity service.
            **Note**: Only a logged-in user can create shopping lists.
          example: user1
          type: string
      required:
        - name
        - userId
      type: object
    pagination:
      description: Pagination response
      properties:
        count:
          description: Total number of search results
          example: 1000
          format: int32
          type: integer
        limit:
          default: 10
          description: Maximum number of records per page
          example: 10
          format: int32
          maximum: 100
          minimum: 1
          type: integer
        offset:
          default: 0
          description: >-
            Number of records to skip before returning all records. For example,
            `offset=20, limit=10` returns records 21-30.
          example: 1
          format: int32
          minimum: 0
          type: integer
      type: object
  headers:
    xFabricRequestIdResponseHeader:
      description: Unique request ID
      example: 263e731c-45c8-11ed-b878-0242ac120002
      required: false
      schema:
        type: string
  securitySchemes:
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````